package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "Log",
   propOrder = {"fileSize", "buffer", "codePage"}
)
public class Log {
   @XmlElement(
      name = "FileSize"
   )
   protected int fileSize;
   @XmlElement(
      name = "Buffer",
      required = true,
      nillable = true
   )
   protected String buffer;
   @XmlElement(
      name = "CodePage"
   )
   protected int codePage;

   public int getFileSize() {
      return this.fileSize;
   }

   public void setFileSize(int value) {
      this.fileSize = value;
   }

   public String getBuffer() {
      return this.buffer;
   }

   public void setBuffer(String value) {
      this.buffer = value;
   }

   public int getCodePage() {
      return this.codePage;
   }

   public void setCodePage(int value) {
      this.codePage = value;
   }
}
